Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class NestedMessage

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.NestedMessage`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class NestedMessage
extends PKIMessageBody

PKI message body of type Nested Message, containing a sequence of `PKIMessage`. Used for forwarding by RAs of protected PKI messages.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`NestedMessage()` Creat a new `NestedMessage`.
`NestedMessage(java.io.InputStream is)`
`NestedMessage(PKIMessage msg)` Create a new `NestedMessage` message body, with the specified `PKIMessage` as its content.

Method Summary
`void` | `addPKIMessage(PKIMessage msg)` Add a `PKIMessage` to the `NestedMessage`
`java.util.Vector` | `getNestedMessage()` Return the set of the nested `PKIMessage` as a `Vector`.
`PKIMessageBody.Type` | `getType()` Returns one of the values defined in `PKIMessageBody.Type`.
`void` | `input(java.io.InputStream is)` Initializes this object by reading its encoding from the given input stream.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NestedMessage

    public NestedMessage()

  Creat a new `NestedMessage`.

### NestedMessage

    public NestedMessage(PKIMessage msg)

  Create a new `NestedMessage` message body, with the specified `PKIMessage` as its content.

### NestedMessage

    public NestedMessage(java.io.InputStream is)
                  throws java.io.IOException

Method Detail

### addPKIMessage

    public void addPKIMessage(PKIMessage msg)

  Add a `PKIMessage` to the `NestedMessage`

### getNestedMessage

    public java.util.Vector getNestedMessage()

  Return the set of the nested `PKIMessage` as a `Vector`.

### getType

    public PKIMessageBody.Type getType()

  Description copied from class: `PKIMessageBody`
  Returns one of the values defined in `PKIMessageBody.Type`.
  Specified by:
    `getType` in class `PKIMessageBody`

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initializes this object by reading its encoding from the given input stream.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.